﻿using System;
using System.Globalization;

namespace XamPivotGridFlatDataInCode
{
    public class DistributorInventory
    {
        public string Distributor { get; set; }

        public string Address { get; set; }

        public string Item { get; set; }

        public DateTime Date { get; set; }

        public string WeekText
        {
            get { return Date.ToString("dd.MM"); }
        }

        public string MonthText
        {
            get { return CultureInfo.CurrentCulture.TextInfo.ToTitleCase(Date.ToString("MMM")); }
        }

        public float Value { get; set; }

        public float Value1 { get; set; }
    }
}
